Bug 495759 - kvm will not boot from cdrom
kvm will not boot from cdrom
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kvm (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Glauber Costa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-14 13:16 EDT by Gerry Reno
Modified: 2009-06-08 14:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-08 14:04:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
virt-manager.log (12.58 KB, text/plain)
2009-04-14 13:16 EDT, Gerry Reno
no flags Details

  None (edit)
Description Gerry Reno 2009-04-14 13:16:38 EDT
Created attachment 339528 [details]
virt-manager.log

Description of problem:
I declared a cdrom in virt-manager gui.  It showed as hdc
with type of cdrom.  I then chose CDROM in boot options, clicked Apply then
clicked RUN.  And got this traceback:

Traceback (most recent call last):
  File "/usr/share/virt-manager/virtManager/engine.py", line 532, in run_domain
    vm.startup()
  File "/usr/share/virt-manager/virtManager/domain.py", line 380, in startup
    self.vm.create()
  File "/usr/lib/python2.5/site-packages/libvirt.py", line 285, in create
    if ret == -1: raise libvirtError ('virDomainCreate() failed', dom=self)
libvirtError: internal error QEMU quit during console startup
Boot device 'd' was given twice




Version-Release number of selected component (if applicable):
# rpm -qa | grep virt
python-virtinst-0.400.0-5.fc10.noarch
virt-manager-0.6.0-5.fc10.i386
libvirt-0.5.1-2.fc10.i386
virt-viewer-0.0.3-3.fc10.i386
libvirt-python-0.5.1-2.fc10.i386


How reproducible:
always

Steps to Reproduce:
1. declare cdrom in gui
2. set boot options to boot from cdrom
3. click RUN
  
Actual results:
Traceback

Expected results:
boots from cdrom

Additional info:

# cat TEST1.xml
<domain type='kvm'>
  <name>TEST1</name>
  <uuid>b6139dbb-1ff5-9713-28d9-f1f70edff727</uuid>
  <memory>524288</memory>
  <currentMemory>524288</currentMemory>
  <vcpu>1</vcpu>
  <os>
    <type arch='x86_64' machine='pc'>hvm</type>
    <boot dev='hd'/>
    <boot dev='cdrom'/>
  </os>
  <features>
    <acpi/>
  </features>
  <clock offset='utc'/>
  <on_poweroff>destroy</on_poweroff>
  <on_reboot>destroy</on_reboot>
  <on_crash>destroy</on_crash>
  <devices>
    <emulator>/usr/bin/qemu-kvm</emulator>
    <disk type='file' device='disk'>
      <source file='/var/lib/libvirt/images/TEST1.img'/>
      <target dev='hda' bus='ide'/>
    </disk>
    <interface type='bridge'>
      <mac address='00:16:3e:63:26:4b'/>
      <source bridge='br0'/>
    </interface>
    <input type='mouse' bus='ps2'/>
    <graphics type='vnc' port='-1' autoport='yes' listen='127.0.0.1' keymap='en-us'/>
  </devices>
</domain>
Comment 1 Mark McLoughlin 2009-04-19 09:32:52 EDT
(In reply to comment #0)
> Created an attachment (id=339528) [details]
> virt-manager.log
...
> libvirtError: internal error QEMU quit during console startup
> Boot device 'd' was given twice

Hmm, your virt-manager.log doesn't contain this? Did you attach the wrong log or .... ?

Also, could you attach /var/log/libvirt/qemu/TEST1.log
Comment 2 Mark McLoughlin 2009-06-08 14:04:43 EDT
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present. Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current Fedora release, or that there is no longer any interest in tracking the problem. 

Setting status to "CLOSED: INSUFFICIENT_DATA". If you still experience this problem after updating to our latest Fedora release and can provide the information previously requested, please feel free to reopen the bug report.

Note You need to log in before you can comment on or make changes to this bug.